libpcap-devel-static-1.8.1-lp150.5.5.x86_64.rpm


Advertisement

Description

libpcap-devel-static - A Library for Network Sniffers

Property Value
Distribution openSUSE Leap 15.0
Repository j.eng all
Package name libpcap-devel-static
Package version 1.8.1
Package release lp150.5.5
Package architecture x86_64
Package type rpm
Installed size 1.19 MB
Download size 440.42 KB
Official Mirror jftp.inai.de
libpcap static libraries

Alternatives

Package Version Architecture Repository
libpcap-devel-static-1.9.0-lp150.76.1.x86_64.rpm 1.9.0 x86_64 Network Utilities
libpcap-devel-static-1.8.1-lp150.5.5.i586.rpm 1.8.1 i586 j.eng
libpcap-devel-static-1.8.1-lp150.2.14.x86_64.rpm 1.8.1 x86_64 openSUSE Oss
libpcap-devel-static - - -

Requires

Name Value
bluez-devel -
dbus-1-devel -
libnl3-devel -
libpcap-devel = 1.8.1
pkgconfig(libusb-1.0) -

Provides

Name Value
libpcap-devel-static = 1.8.1-lp150.5.5
libpcap-devel-static(x86-64) = 1.8.1-lp150.5.5

Download

Type URL
Binary Package libpcap-devel-static-1.8.1-lp150.5.5.x86_64.rpm
Source Package libpcap-1.8.1-lp150.5.5.src.rpm

Install Howto

  1. Add the j.eng repository:
    # zypper addrepo http://jftp.inai.de/openSUSE_Leap_15.0/ j.eng
  2. Install libpcap-devel-static rpm package:
    # zypper install libpcap-devel-static

Files

Path
/usr/lib64/libpcap.a

Changelog

2017-09-12 - asterios.dramis@gmail.com
- Added a patch (disable-remote.diff) to fix applications to FTBFS
if they define HAVE_REMOTE (deb#843384). Patch taken from Debian.
2017-03-23 - jengelh@inai.de
- Restore section setting $pic
2017-03-01 - tchvatal@suse.com
- Do not put conditions about the provides for < 11.0
2017-02-15 - pmonrealgonzalez@suse.com
- Dropped patches not required after review
* libpcap-1.0.0-pcap-bpf.patch
* libpcap-1.5.2-filter-fix.patch
- Reference of the pull request for the rest of the patches
* https://github.com/the-tcpdump-group/libpcap/issues/196
- Changed libpcap-1.0.0-s390.patch to the git formatted one
2017-02-02 - pmonrealgonzalez@suse.com
- Formatted the specs file using spec-cleaner.
2017-02-02 - pmonrealgonzalez@suse.com
- Allow bluetooth monitoring support unconditionally.
2017-02-02 - pmonrealgonzalez@suse.com
- update to 1.8.1
* Clean up the name-to-DLT mapping table.
* Add some newer DLT_ values:
IPMI_HPM_2,ZWAVE_R1_R2,ZWAVE_R3,WATTSTOPPER_DLM,ISO_14443,RDS
* Fix handling of packet count in the TPACKET_V3 inner loop: GitHub issue
[#493].
* Filter out duplicate looped back CAN frames.
* Fix the handling of loopback filters for IPv6 packets.
* Add a link-layer header type for RDS (IEC 62106) groups.
* On Linux, handle all CAN captures with pcap-linux.c, in cooked mode.
* Removes the need for the "host-endian" link-layer header type.
* Compile with '-Wused-but-marked-unused' in devel mode if supported
* Have separate DLTs for big-endian and host-endian SocketCAN headers.
* Require that version.h be generated: all build procedures we support generate version.h (autoconf, CMake, MSVC)!
* Properly check for sock_recv() errors.
* Re-impose some of Winsock's limitations on sock_recv().
* Replace sprintf() with pcap_snprintf().
* Fix signature of pcap_stats_ex_remote().
* Have rpcap_remoteact_getsock() return a SOCKET and supply an "is active" flag.
* Clean up {DAG, Septel, Myricom SNF}-only builds.
* pcap_create_interface() needs the interface name on Linux.
* Clean up hardware time stamp support: the "any" device does not support any time stamp types.
* Recognize 802.1ad nested VLAN tag in vlan filter.
- dropped libpcap-ocloexec.patch, never upstreamed.
- refreshed libpcap-1.0.0-ppp.patch
2016-04-17 - crrodriguez@opensuse.org
- libpcap-no-old-socket.patch: never fallback to the obsolete
SOCK_PACKET (kernel < 2.2) interface, this still happens
for example, when you update the kernel, run iftop and
the old kernel af_packet module wasn't loaded, program fails
and the kernel prints "iftop uses obsolete (PF_INET,SOCK_PACKET)"
2015-06-21 - crrodriguez@opensuse.org
- remove dependency on libusb-devel, only libusb-1.0 is used for
build.
- split a -devel-static subpackage that contains the static
libraries and all the extra dependencies which are not needed
for dynamic linking.
2015-04-26 - astieger@suse.com
- libpcap 1.7.3:
* work around a Linux bonding driver bug.

See Also

Package Description
libpcap1-1.8.1-lp150.5.5.i586.rpm A Library for Network Sniffers
libpcap1-1.8.1-lp150.5.5.x86_64.rpm A Library for Network Sniffers
libpcap1-32bit-1.8.1-lp150.5.5.x86_64.rpm A Library for Network Sniffers
libprocps-j0-6-3.3.12-lp150.8.1.i586.rpm The procps library
libprocps-j0-6-3.3.12-lp150.8.1.x86_64.rpm The procps library
libsystemd0-234-lp150.20.13.1.i586.rpm Component library for systemd
libsystemd0-234-lp150.20.13.1.x86_64.rpm Component library for systemd
libsystemd0-32bit-234-lp150.20.13.1.x86_64.rpm Component library for systemd
libudev-devel-234-lp150.20.13.1.i586.rpm Development files for libudev
libudev-devel-234-lp150.20.13.1.x86_64.rpm Development files for libudev
libudev-devel-32bit-234-lp150.20.13.1.x86_64.rpm Development files for libudev
libudev1-234-lp150.20.13.1.i586.rpm Dynamic library to access udev device information
libudev1-234-lp150.20.13.1.x86_64.rpm Dynamic library to access udev device information
libudev1-32bit-234-lp150.20.13.1.x86_64.rpm Dynamic library to access udev device information
libzypp-17.3.1-lp150.3.1.i586.rpm Package, Patch, Pattern, and Product Management
Advertisement
Advertisement